Update API key
curl --request PUT \
--url https://api.getcortexapp.com/api/v1/auth/key/{cid} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Entities scanner",
"description": "API Key used for entities scanner script"
}
'import requests
url = "https://api.getcortexapp.com/api/v1/auth/key/{cid}"
payload = {
"name": "Entities scanner",
"description": "API Key used for entities scanner script"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Entities scanner',
description: 'API Key used for entities scanner script'
})
};
fetch('https://api.getcortexapp.com/api/v1/auth/key/{cid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"cid": "ak1234567890abcdef",
"createdDate": "2025-01-15T22:47:30Z",
"last4": "0kAg",
"roles": [
{
"role": "READ_ONLY",
"type": "DEFAULT"
}
],
"description": "API Key used for entities scanner script",
"expirationDate": "2023-11-07T05:31:56Z",
"name": "Entities scanner"
}{
"message": "<string>",
"type": "INTEGRATION_MISSING",
"details": "<string>",
"errorCode": "<string>",
"gatewayHttpStatus": 123,
"httpStatus": 123,
"requestId": "<string>"
}{
"message": "<string>",
"type": "INTEGRATION_MISSING",
"details": "<string>",
"errorCode": "<string>",
"gatewayHttpStatus": 123,
"httpStatus": 123,
"requestId": "<string>"
}{
"message": "<string>",
"type": "INTEGRATION_MISSING",
"details": "<string>",
"errorCode": "<string>",
"gatewayHttpStatus": 123,
"httpStatus": 123,
"requestId": "<string>"
}{
"status": 429,
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"instance": "<string>",
"retryAfter": 1
}Update API key
Update API key
The API key used to make the request must have the Edit API keys permission
PUT
/
api
/
v1
/
auth
/
key
/
{cid}
Update API key
Authorizations
All requests to the Cortex API need to provide an Authorization: Bearer <token> header, where <token> is an API key created in the Settings page of your workspace.
Path Parameters
The unique, auto-generated identifier for the API key
Example:
"ak1234567890abcdef"
Body
application/jsonapplication/yaml
Response
Successfully updated API key
ID of the API key
Example:
"ak1234567890abcdef"
Creation date of the API key
Example:
"2025-01-15T22:47:30Z"
Last 4 characters of the API key
Example:
"0kAg"
Roles assigned to the API key
Roles assigned to the API key
- Option 1
- Option 2
Show child attributes
Show child attributes
Description of the API key
Example:
"API Key used for entities scanner script"
Expiration date of the API key
Name of the API key
Example:
"Entities scanner"
Last modified on September 24, 2026